package cn.com.countrygarden.bi.main.model.wcx;

import java.util.Date;

/**
 *  微创新用户
 *  
 *  @author ferren
 */
public class WcxUserNew {
    private String userId; // varchar(36) NOT NULL COMMENT '用户主键',
    private String openId; // varchar(28) DEFAULT NULL COMMENT '微信应用主键',
    private String headPicUrl; // varchar(450) DEFAULT NULL COMMENT '微信用户头像地址',
    private String nickName; // varchar(80) DEFAULT NULL COMMENT '微信用户昵称',
    private String roleId; // varchar(36) DEFAULT NULL COMMENT '用户角色主键',
    private Long employeeId; // varchar(36) DEFAULT NULL COMMENT '员工唯一主键',
    private String employeeName; // varchar(36) DEFAULT NULL COMMENT '员工姓名',
    private String employeePhone; // varchar(36) DEFAULT NULL COMMENT '员工手机号',
    private String employeeCardId; //  身份信息
    private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建日期',
    public String getUserId() {

        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getHeadPicUrl() {
        return headPicUrl;
    }

    public void setHeadPicUrl(String headPicUrl) {
        this.headPicUrl = headPicUrl;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public String getEmployeePhone() {
        return employeePhone;
    }

    public void setEmployeePhone(String employeePhone) {
        this.employeePhone = employeePhone;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getEmployeeCardId() {
        return employeeCardId;
    }

    public void setEmployeeCardId(String employeeCardId) {
        this.employeeCardId = employeeCardId;
    }
}
